﻿/**Begin D:\PDM_UPGRADE\PDM1\QCNP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCNP_IMINV_ENTRY') 
 CREATE TABLE T_QCNP_IMINV_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINVENTORYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FINVSTATUSID BIGINT DEFAULT 0 NOT NULL,
FINVTYPEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPLYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESERVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGUREDCODEID BIGINT DEFAULT 0 NOT NULL,
FTRACKNUMBERID BIGINT DEFAULT 0 NOT NULL,
FPROJECTID BIGINT DEFAULT 0 NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FINVORGID BIGINT DEFAULT 0 NOT NULL,
FINSPRES NVARCHAR(5) DEFAULT ' ' NOT NULL,
FAPPLYORGID BIGINT DEFAULT 0 NOT NULL,
FINSPECORGID BIGINT DEFAULT 0 NOT NULL,
FINVUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASERESERVQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEAVBQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT2NDID BIGINT DEFAULT 0 NOT NULL,
FQTY2ND DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESERV2NDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVB2NDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOWNERTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FKEEPERTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEEPERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCNP_IMMINV') 
 CREATE TABLE T_QCNP_IMMINV (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FEXEDATE DATETIME,
FINVIMPSCHEMEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCNP_INVINSP_INF') 
 CREATE TABLE T_QCNP_INVINSP_INF (
FID BIGINT DEFAULT 0 NOT NULL,
FDATASOURCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FINVENTORYID BIGINT DEFAULT 0 NOT NULL,
FLASTINSPDATE DATETIME,
FINSPRES NVARCHAR(5) DEFAULT ' ' NOT NULL,
FINCHECK CHAR(1) DEFAULT '0' NOT NULL,
FEXESCHEMEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\QCNP_table.sql **/
