﻿/**Begin D:\PDM_UPGRADE\PDM1\QCNP_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCNP_INSPRESULT') 
 CREATE TABLE T_QCNP_INSPRESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FASSBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FCKMATERIALID BIGINT DEFAULT 0 NOT NULL,
FCKUNITID BIGINT DEFAULT 0 NOT NULL,
FCKBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FCKQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCKQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCKUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCKUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FASSENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FINSOBJENTRYID BIGINT DEFAULT 0 NOT NULL,
FINSOBJID BIGINT DEFAULT 0 NOT NULL,
FEXECSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FCKHANDMETHED NVARCHAR(10) DEFAULT ' ' NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCNP_RESULTENTRY') 
 CREATE TABLE T_QCNP_RESULTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FQUALIFYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNQUALIFBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCENTITYNUMBERID NVARCHAR(50) DEFAULT '0' NOT NULL,
FSRCBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCSYSTEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBMITUNITID BIGINT DEFAULT 0 NOT NULL,
FUNQUALIFQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDSRCENTITYNUMBERID NVARCHAR(255) DEFAULT '0' NOT NULL,
FDSRCBILLENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FDSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\QCNP_table.sql **/
